syntax = "proto3";

import "types.proto";
import "types/message.proto";
package pcie_device;

service PCIeDevice {
    rpc SetDiagnosticFault(PCIeDeviceMsg.SetDiagnosticFaultReq) returns (PCIeDeviceMsg.SetDiagnosticFaultResp);
    rpc SetPredictiveFault (PCIeDeviceMsg.SetPredictiveFaultReq) returns (PCIeDeviceMsg.SetPredictiveFaultResp);
    rpc GetDeviceName(PCIeDeviceMsg.GetDeviceNameReq) returns (PCIeDeviceMsg.GetDeviceNameResp);
    rpc GetPCIeCardNum(PCIeDeviceMsg.GetPCIeCardNumReq) returns (PCIeDeviceMsg.GetPCIeCardNumResp);
}
